from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.frame import XModel

@runtime_checkable
class XTextDocument(XModel, Protocol):
    def getText(self) -> XText: ...
    def reformat(self) -> None: ...
